# $Revision: 1.14 $, $Date: 2002/10/12 08:02:36 $
Summary:	Raw VBI, Teletext and Closed Caption decoding library
Summary(pl):	Biblioteka dekodujca VBI
Name:		zvbi
Version:	0.2.2
Release:	1
License:	GPL v2+
Group:		Libraries
Source0:	http://unc.dl.sourceforge.net/sourceforge/zapping/%{name}-%{version}.tar.bz2
URL:		http://zapping.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	libunicode-devel
BuildRequires:	doxygen
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
VBI stands for Vertical Blanking Interval, a gap between the image
data transmitted in an analog video signal. This gap is used to
transmit AM modulated data for various data services like Teletext and
Closed Caption.

The zvbi library provides routines to read from raw VBI sampling
devices, to demodulate raw to sliced VBI data, and to interpret the
data of several popular services. It has been written for the Zapping
TV viewer <http://zapping.sourceforge.net/>.

%description -l pl
VBI jest skrtem od Vertical Blanking Interval, czyli interwa
wygaszania pionowego, ktry jest odstpem pomidzy danymi obrazu
transmitowanymi w analogowym sygnale wideo. Ten odstp jest uywany do
transmisji danych rozmaitych usug takich, jak teletekst i Closed
Caption, modulowanych w AM.

Biblioteka zvbi udostpnia funkcje do odczytu z surowych urzdze
prbkujcych VBI, do demodulacji surowych danych VBI i do
interpretacji tych dlanych dla kilku popularnych usug. Zostaa ona
napisana dla programu TV Zapping <http://zapping.sourceforge.net/>.

%package devel
Summary:	zvbi heades files
Summary(pl):	Pliki nagwkowe do zvbi
Group:		Development/Libraries
Requires:	%{name} = %{version}
Requires:	libunicode-devel

%description devel
Header files and documentation for the support library for the zvbi
library.

%description devel -l pl
Pliki nagwkowe i dokumentacja do zvbi.

%package static
Summary:	Static zvbi library
Summary(pl):	Biblioteka statyczna do zvbi
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static zvbi library.

%description static -l pl
Statyczna biblioteka zvbi.

%prep
%setup -q

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS BUGS NEWS README TODO
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc ChangeLog doc/html
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%{_includedir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: zvbi.spec,v $
Revision 1.14  2002/10/12 08:02:36  ankry
- fixed typo in BR

Revision 1.13  2002/10/11 16:54:20  aflinta
- added BR doxygen

Revision 1.12  2002/10/11 16:51:27  aflinta
- removed obsoleted patch and regeneration functions

Revision 1.11  2002/10/11 16:41:14  aflinta
- updated to version 0.2.2

Revision 1.10  2002/10/09 13:14:52  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.9  2002/08/26 10:51:09  qboosh
- GPL v2+

Revision 1.8  2002/08/24 09:37:17  kloczek
- License changed to GPL v2.

Revision 1.7  2002/08/22 21:14:46  aflinta
- upgraded to version 0.2.1

Revision 1.6  2002/06/30 13:41:50  kloczek
- release 2: use new %doc.

Revision 1.5  2002/06/23 20:32:37  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.4  2002/05/21 23:15:10  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.3  2002/04/04 07:53:00  kloczek
- added ac_fixes patch and full regenerate ac/am/lt files,
- added libunicode-devel to BuildRequires and to Requires list in devel,
- minor changes.

Revision 1.2  2002/04/04 01:36:06  saq
- better descriptions

Revision 1.1  2002/04/04 01:25:38  saq
- new spec
